cdac.medinfo.ccd.datatype

## Class ADXP

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.BIN
    - - cdac.medinfo.ccd.datatype.ED
      - - cdac.medinfo.ccd.datatype.ST
        - - cdac.medinfo.ccd.datatype.ADXP

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AdxpAdditionalLocator, AdxpBuildingNumberSuffix, AdxpCareOf, AdxpCensusTract, AdxpCity, AdxpCountry, AdxpCounty, AdxpDelimiter, AdxpDeliveryAddressLine, AdxpDeliveryInstallationArea, AdxpDeliveryInstallationQualifier, AdxpDeliveryInstallationType, AdxpDeliveryMode, AdxpDeliveryModeIdentifier, AdxpDirection, AdxpHouseNumber, AdxpHouseNumberNumeric, AdxpPostalCode, AdxpPostBox, AdxpPrecinct, AdxpState, AdxpStreetAddressLine, AdxpStreetName, AdxpStreetNameBase, AdxpStreetNameType, AdxpUnitID, AdxpUnitType

      public class ADXP
      extends ST

  A character string that may have a type-tag signifying its role in the address. Typical parts that exist in about every address are street, house number, or post box, postal code, city, country but other roles may be defined regionally, nationally, or on an enterprise level (e.g. in military addresses). Addresses are usually broken up into lines, which are indicated by special line-breaking delimiter elements (e.g., DEL).

  Java class for ADXP complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ADXP">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ST">
             <attribute name="partType" type="{urn:hl7-org:v3}AddressPartType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ADXP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getPartType()` Gets the value of the partType property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ED

      `getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getReference, getThumbnail, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.BIN

      `getRepresentation, setRepresentation`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ADXP

          public ADXP()

  - ### Method Detail

    - #### getPartType

          public java.util.List<java.lang.String> getPartType()

      Gets the value of the partType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the partType property.

      For example, to add a new item, do as follows:

              getPartType().add(newItem);

      Objects of the following type(s) are allowed in the list `String`